activateAddons [ 
  "vbs2_people_us_army_rifleman",
  "vbs2_people_afg_afg_man",
  "vbs2_iq_civ",
  "vbs2_people_au_adf_rifleman",
  "vbs2_people_gb_army_soldier",
  "vbs2_people_us_usmc_rifleman",
  "vbs2_vehicles_land_tracked_vickers_as90_gb_as90",
  "vbs2_vehicles_land_wheeled_amgen_hmmwv_us_army_m1114"
];

if (!isNil "_map") then
{
  call compile preProcessFile "\vbs2\editor\Data\Scripts\init_global.sqf";
  initAmbientLife;
};

_func_COC_Create_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\create_Unit.sqf";
_func_COC_Update_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\update_Unit.sqf";
_func_COC_Delete_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\delete_Unit.sqf";
_func_COC_Import_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\import_Unit.sqf";
_func_COC_UpdatePlayability_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\updateUnitPlayability.sqf";
_func_COC_Create_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\create_Group.sqf";
_func_COC_Update_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\update_Group.sqf";
_func_COC_Delete_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group.sqf";
_func_COC_Delete_Group_Only = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group_Only.sqf";
_func_COC_Attach_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\attach_Group.sqf";
_func_COC_Group_OnCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnCatChanged.sqf";
_func_COC_Group_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnTypeChanged.sqf";
_func_COC_Group_OnNewCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewSideOrCatChanged.sqf";
_func_COC_Group_OnNewTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewTypeChanged.sqf";
_func_COC_Group_OnCreateInit = compile preprocessFile "\vbs2\editor\data\scripts\group\groupCreateOnInit.sqf";
_func_COC_Group_Selected = compile preprocessFile "\vbs2\editor\data\scripts\group\groupFromSelected.sqf";
_func_COC_SubTeam_Join = compile preprocessFile "\vbs2\editor\data\scripts\subteam\subTeamJoin.sqf";
_func_COC_Waypoint_Assign = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointAssign.sqf";
_func_COC_Waypoint_Update = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointUpdate.sqf";
_func_COC_Waypoint_Draw = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDraw.sqf";
_func_COC_Waypoint_Delete = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDelete.sqf";
_func_COC_Waypoint_Move = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointMove.sqf";
_func_COC_Waypoint_Load_Branched = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointGetBranched.sqf";
_func_COC_Waypoint_Find_Config = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointFindConfigEntry.sqf";
_func_COC_Marker_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreate.sqf";
_func_COC_Marker_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdate.sqf";
_func_COC_Marker_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIcons.sqf";
_func_COC_Marker_DlgChanged = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerDlgChanged.sqf";
_func_COC_Marker_Tactical_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreateTactical.sqf";
_func_COC_Marker_Tactical_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdateTactical.sqf";
_func_COC_Marker_Tactical_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIconsTactical.sqf";
_getCrew = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\getCrew.sqf";
_func_COC_Vehicle_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\vehicleCreate.sqf";
_func_COC_Vehicle_Update = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\processVehicleJoin.sqf";
_func_COC_Vehicle_Occupy = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\occupyVehicle.sqf";
_func_COC_Vehicle_Delete = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleDelete.sqf";
_func_COC_Vehicle_UnJoin = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleUnJoinGrp.sqf";
_func_COC_Vehicle_GetInEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getIn.sqf";
_func_COC_Vehicle_GetOutEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getOut.sqf";
_func_COC_Vehicle_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleOnTypeChanged.sqf";
_func_COC_Vehicle_UpdatePlayability = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\updateCrewPlayability.sqf";
_func_COC_Import_Vehicle = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\import_Vehicle.sqf";
_func_COC_Vehicle_Set_Arcs = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\arcs\setGunnerArcs.sqf";
_func_COC_Trigger_SetDisplayName = compile preprocessFile "\vbs2\editor\data\scripts\trigger\setDisplayName.sqf";
_func_COC_Trigger_Create = compile preprocessFile "\vbs2\editor\data\scripts\trigger\createTrigger.sqf";
_func_COC_IED_Create = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedCreate.sqf";
_func_COC_Set_Display_Names = compile preprocessFile "\vbs2\editor\data\scripts\ui\setDisplayNames.sqf";
_func_COC_Set_Color = compile preprocessFile "\vbs2\editor\data\scripts\ui\setColor.sqf";
_func_COC_PlaceObjOnObj = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\placeObjOnObj.sqf";
_func_COC_Draw_Distance = compile preprocessFile "\vbs2\editor\Data\Scripts\distance\drawDistance.sqf";
_func_COC_LookAt_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\lookAt\lookAtCreate.sqf";
_missionVersion = 5;
private["_allWaypoints"];

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_0 = (
[
	"_unit_0", true, "VBS2_US_ARMY_Grenadier_W_M4_acog", [2511.16797, 2474.40552, 13.86000], [], 0, "CAN_COLLIDE", -92.99741, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, true, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_1 = (
[
	"_unit_1", true, "vbs2_af_civ_man_1", [2506.97144, 2468.03076, 13.86000], [], 0, "CAN_COLLIDE", 90.70474, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_3 = (
[
	"_unit_3", true, "vbs2_af_civ_man_1_bombvest", [2506.88818, 2474.38574, 13.86000], [], 0, "CAN_COLLIDE", 90.70473, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_5 = (
[
	"_unit_5", true, "vbs2_iq_civ_man_01", [2507.00024, 2479.87744, 13.86000], [], 0, "CAN_COLLIDE", 90.70473, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_7 = (
[
	"_unit_7", true, "vbs2_iq_civilian_bombvest_01", [2507.11230, 2485.48096, 13.86000], [], 0, "CAN_COLLIDE", 90.70473, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_9 = (
[
	"_unit_9", true, "VBS2_AU_Army_Rifleman_W_F88A1", [2518.21045, 2468.01074, 13.86000], [], 0, "CAN_COLLIDE", -90.76173, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_12 = (
[
	"_unit_12", true, "VBS2_GB_Army_Soldier_D_L85A2_BeltOrder_Beret_None", [2517.98584, 2474.39941, 13.86000], [], 0, "CAN_COLLIDE", -90.76172, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_14 = (
[
	"_unit_14", true, "vbs2_us_army_rifleman_w_m4", [2518.09790, 2480.22705, 13.86000], [], 0, "CAN_COLLIDE", -90.76172, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_16 = (
[
	"_unit_16", true, "vbs2_us_mc_rifleman_D_m16a2", [2518.09790, 2485.94263, 13.86000], [], 0, "CAN_COLLIDE", -90.76172, "", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 1, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

_vehicle_0 = ["_vehicle_0", false, "VBS2_GB_ARMY_AS90_D", [2513.60474, 2494.24438, 13.86000], [], 0, "CAN_COLLIDE", -135.93968, "", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "AWARE", true, 1.00000, "on", "off", [], [], [], [], "", "", -1, -1, [], [], [-0.69542,-0.71861,0.00000], [-0.00000,0.00000,1.00000]] call _func_COC_Vehicle_Create;

_vehicle_2 = ["_vehicle_2", false, "VBS2_US_ARMY_M1114_D", [2512.66040, 2461.96924, 13.86000], [], 0, "CAN_COLLIDE", 37.97367, "", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "AWARE", true, 1.00000, "on", "off", [], [], [], [], "", "", -1, -1, [], [], [0.61530,0.78829,0.00000], [0.00000,0.00000,1.00000]] call _func_COC_Vehicle_Create;

call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepare.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepareSynch.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\group\groupBroadcastSubordinateGroups.sqf"));

if (isNil "_map") then
{
  processInitCommands;
};
